This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 919774 - (CVE-2013-1653) CVE-2013-1653 Puppet: kick connection HTTP PUT request arbitrary code execution
CVE-2013-1653 Puppet: kick connection HTTP PUT request arbitrary code execution
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130312,repo...
: Security
Depends On: 920845
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-09 20:53 EST by Kurt Seifried
Modified: 2015-08-24 11:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-24 11:36:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-03-09 20:53:19 EST
Moses Mendoza (moses@puppetlabs.com) reports:

CVE-2013-1653 - Remote code execution
* Affected versions: 2.7.0 and greater
* Patched versions: 2.7.x, 3.1.x

A bug in Puppet allows authenticated clients to execute arbitrary code
on Puppet agents that accept kick connections. Puppet agents are not
vulnerable in their default configuration. However, if the Puppet
agent is configured to listen for incoming connections, e.g. listen =
true, and the agent's auth.conf allows access to the `run` REST
endpoint, then an authenticated client can construct an HTTP PUT
request to execute arbitrary code on the agent. This issue is made
worse by the fact that puppet agents typically run as root.


External References:
https://puppetlabs.com/security/cve/cve-2013-1653/
Comment 1 Vincent Danen 2013-03-12 17:40:45 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 920845]
Comment 2 Kurt Seifried 2013-03-15 00:59:07 EDT
For the puppet roll-up patches please see Bz 919783 for the patch files.
Comment 3 Fedora Update System 2013-08-01 23:24:13 EDT
puppet-3.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.